browser

12 Antworten [Letzter Beitrag]
Marco
Offline
Beigetreten: 11/06/2012

Hello to everyone,
I am using trisquel mini and I really like it.

I am having some problem viewing some websites, like udacity.com or kickstarter.com I can see them but I can not use them when I click nothing happens, can it be because they use some scripts that midori can't handle?

I thought about installing abowser or icecat but when I apt-get I get a warning that the package abrowser can not be authenticated. Is it safe to install it anyway?

I am guessing is midori that can't handle the websites, for udacity is not really a problem, I found a playlist on youtube and also without flash everything works just fine.

SirGrant

I am a member!

I am a translator!

Offline
Beigetreten: 07/27/2010

try installing abrowser instead of icecat. That is the trisquel version of firefox.

aloniv

I am a translator!

Offline
Beigetreten: 01/11/2011

Try updating to a newer version of Midori via their PPA. You will also need to add the WebKit PPA. These commands should suffice:

$ sudo add-apt-repository ppa:midori
$ sudo add-apt-repository ppa:webkit-team
$ sudo aptitude update
$ sudo aptitude upgrade

Marco
Offline
Beigetreten: 11/06/2012

I did like you said, but the update did not went well, it stopped at some point

these are the errors I got

""
Err http://nl.archive.trisquel.info brigantia InRelease
Err http://nl.archive.trisquel.info brigantia-security InRelease
Err http://nl.archive.trisquel.info brigantia Release.gpg
Unable to connect to nl.archive.trisquel.info:http:
Err http://nl.archive.trisquel.info brigantia-security Release.gpg
""

now if I start midori in normal mode it says that "bookmark can not be loaded" it opens then crashes if I try to write something in the address bar.

It does work in private mode, without the bookmarks.

Removing midori with the add/remove program does not work because it says that other applications need it. It suggest to use synaptic to remove it.

I thought I read somewhere that is possible to restore trisquel to the original state without losing the files, but probably I confuse myself with gnusense.

Thanks to everyone for all the answers.

aloniv

I am a translator!

Offline
Beigetreten: 01/11/2011

I encountered the bookmarks error in the past. I simply deleted the midori settings folder (~/.config/midori) and it worked but I lost my bookmarks. Since then I use speed dial instead (adding pages by right clicking and selecting "add to speed dial") and keep unread tabs all the time (in the preferences I chose on startup "show last tabs without loading").

t3g
t3g
Offline
Beigetreten: 05/15/2011

It may be best to not use Abrowser, considering it is now two versions behind and Ruben isn't making the effort to update it. What's going on??

onpon4
Offline
Beigetreten: 05/30/2012

IceCat is 2 versions behind, too, you know...

Considering that there's a new version of Firefox every two months now, 2 versions isn't all that far behind. And right now, I'm not having any problems with Abrowser.

Dave_Hunt

I am a member!

Offline
Beigetreten: 09/19/2011

One could probably get away with running Mozilla browser 10 and not have
issues.

-Dave

On 11/06/2012 03:40 PM, name at domain wrote:
> IceCat is 2 versions behind, too, you know...
>
> Considering that there's a new version of Firefox every two months now,
> 2 versions isn't all that far behind. And right now, I'm not having any
> problems with Abrowser.

Loic J. Duros
Offline
Beigetreten: 01/28/2012

Debian Wheezy is still using Iceweasel 10 and will probably for quite
some time...

On 11/06/2012 04:03 PM, Dave Hunt wrote:
>
>
> One could probably get away with running Mozilla browser 10 and not
> have issues.
>
>
> -Dave
>
>
>
> On 11/06/2012 03:40 PM, name at domain wrote:
>> IceCat is 2 versions behind, too, you know...
>>
>> Considering that there's a new version of Firefox every two months now,
>> 2 versions isn't all that far behind. And right now, I'm not having any
>> problems with Abrowser.

Dave_Hunt

I am a member!

Offline
Beigetreten: 09/19/2011

I had a brief look at the up-coming Trisquel 6 release, dated
6-November, and found that abrowser is at 16.

-Dave H.

On 11/06/2012 03:09 PM, name at domain wrote:
> It may be best to not use Abrowser, considering it is now two versions
> behind and Ruben isn't making the effort to update it. What's going on??

tius

I am a member!

Offline
Beigetreten: 05/09/2011

I also use Trisquel mini on my netbook, and I've tried to browse the web site you mentioned. With midori all seem work well...

Marco
Offline
Beigetreten: 11/06/2012

Tius: are you using the default trisquel mini installation?

As I reply before the update did not went well when I tried and now I can only use midori in private mode.

Marco
Offline
Beigetreten: 11/06/2012

I managed to fix midori,
I opened the console run

sudo synaptic

and then looked for the midori package and upgrade it, now I have the bookmarks, and it does not crash.

I broke the installation of midori while tryint to upgrade with the console, I do believe is a problem with my internet provider.